import classNames from 'classnames';
export class IIIFGalleryItem {
    constructor() {
        this.selected = false;
    }
    render() {
        let thumbnail = this.item.getThumbnail();
        //let label: string | null = this.item.getDefaultLabel();
        const classes = classNames({
            'collection': this.item.isCollection(),
            'manifest': this.item.isManifest(),
            'canvas': this.item.isCanvas(),
            'selected': this.selected
        });
        return (h("figure", { onClick: () => this._itemSelectedHandler(), class: classes },
            h("img", { src: thumbnail.id })));
    }
    _itemSelectedHandler() {
        this.onSelectItem.emit(this.item);
    }
    static get is() { return "iiif-gallery-item"; }
    static get properties() { return {
        "item": {
            "type": "Any",
            "attr": "item"
        },
        "selected": {
            "type": Boolean,
            "attr": "selected"
        }
    }; }
    static get events() { return [{
            "name": "onSelectItem",
            "method": "onSelectItem",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
    static get style() { return "/**style-placeholder:iiif-gallery-item:**/"; }
}
